#!/bin/sh
# Run this to generate all the initial makefiles, etc.
PARAM="--disable-dynwinsize --enable-release --enable-oldgtk"

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

PKG_NAME="Chaos Strikes Back for Linux"

(test -f $srcdir/configure.in \
  && test -d $srcdir/src/ \
  && test -f $srcdir/src/Code11f52.cpp) || {
    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
    echo " top-level Chaos Strikes Back directory"
    exit 1
}

touch stamp.h.in

NOCONFIGURE="true"
export NOCONFIGURE

. $srcdir/macros/autogen.sh $PARAM $*

ln -sf ./src/Makefile.in ./Makefile.in

./configure $PARAM $*

cd src

make

